<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Acoustics</TITLE>
<META NAME="description" CONTENT="Acoustics">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node155.html">
<LINK REL="previous" HREF="node153.html">
<LINK REL="up" HREF="node145.html">
<LINK REL="next" HREF="node155.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html2885"
  HREF="node155.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2881"
  HREF="node145.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2875"
  HREF="node153.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2883"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2886"
  HREF="node155.html">Shallow water motion</A>
<B> Up:</B> <A NAME="tex2html2882"
  HREF="node145.html">Types of analysis</A>
<B> Previous:</B> <A NAME="tex2html2876"
  HREF="node153.html">Heat transfer</A>
 &nbsp; <B>  <A NAME="tex2html2884"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION00079900000000000000">
Acoustics</A>
</H3>

<P>
Linear acoustic calculations in gas are very similar to heat transfer
calculations. Indeed, the pressure variation in a space with uniform basis pressure <B><IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img95.png"
 ALT="$ p_0$"></B> and
density <B><IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img851.png"
 ALT="$ \rho_0$"></B> (and consequently uniform temperature <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1028.png"
 ALT="$ T_0$"></B> due to the gas law) satisfies

<P>
<P></P>
<DIV ALIGN="CENTER"><A NAME="waveeq"></A><!-- MATH
 \begin{equation}
\nabla \cdot (- \boldsymbol{I} \cdot \nabla{p}) + \frac{1}{c_0^2} \ddot{p} = -
\rho_0 \nabla \cdot
\boldsymbol{f},
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="230" HEIGHT="50" ALIGN="MIDDLE" BORDER="0"
 SRC="img1034.png"
 ALT="$\displaystyle \nabla \cdot (- \boldsymbol{I} \cdot \nabla{p}) + \frac{1}{c_0^2} \ddot{p} = - \rho_0 \nabla \cdot \boldsymbol{f},$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(253)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P> 

<P>
where <!-- MATH
 $\boldsymbol{ I}$
 -->
<B><IMG
 WIDTH="14" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1035.png"
 ALT="$ \boldsymbol{ I}$"></B> is the second order unit tensor (or, for simplicity,
unit matrix) and <B><IMG
 WIDTH="19" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img625.png"
 ALT="$ c_0$"></B> is the speed of sound satisfying:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
c_0=\sqrt{ \gamma R T_0}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="98" HEIGHT="39" ALIGN="MIDDLE" BORDER="0"
 SRC="img1036.png"
 ALT="$\displaystyle c_0=\sqrt{ \gamma R T_0}.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(254)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
<B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img646.png"
 ALT="$ \gamma$"></B> is the ratio of the heat capacity at constant pressure divided by the
heat capacity at constant volume (<!-- MATH
 $\gamma=1.4$
 -->
<B><IMG
 WIDTH="55" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1037.png"
 ALT="$ \gamma=1.4$"></B> for normal air), <B><IMG
 WIDTH="17" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img257.png"
 ALT="$ R$"></B> is the
specific gas constant (<!-- MATH
 $R=287 J/(kg K)$
 -->
<B><IMG
 WIDTH="123" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1038.png"
 ALT="$ R=287 J/(kg K)$"></B> for normal air) and <B><IMG
 WIDTH="21" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1028.png"
 ALT="$ T_0$"></B> is the
absolute basis temperature (in K). Furthermore, the balance of momentum reduces to:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\nabla{p}=\rho_0 ( \boldsymbol{ f} - \boldsymbol{ a}).
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="119" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1039.png"
 ALT="$\displaystyle \nabla{p}=\rho_0 ( \boldsymbol{ f} - \boldsymbol{ a}).$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(255)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
For details, the reader is referred to [<A
 HREF="node378.html#Eringen">20</A>] and
[<A
 HREF="node378.html#Anderson">2</A>]. Equation&nbsp;(<A HREF="#waveeq">253</A>) is the well-known wave
equation. By comparison with the heat equation, the correspondence in Table
&nbsp;(<A HREF="#t1">9</A>) arises. 

<P>
<BR><P></P>
<DIV ALIGN="CENTER">

<DIV ALIGN="CENTER">
<A NAME="10687"></A>
<TABLE CELLPADDING=3 BORDER="1">
<CAPTION><STRONG>Table 9:</STRONG>
Correspondence between the heat equation and the gas momentum equation.</CAPTION>
<TR><TD ALIGN="CENTER">heat quantity</TD>
<TD ALIGN="CENTER">gas quantity</TD>
</TR>
<TR><TD ALIGN="CENTER">T</TD>
<TD ALIGN="CENTER">p</TD>
</TR>
<TR><TD ALIGN="CENTER"><!-- MATH
 $\boldsymbol{ q}$
 -->
<B><IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img579.png"
 ALT="$ \boldsymbol{q}$"></B></TD>
<TD ALIGN="CENTER"><!-- MATH
 $\rho_0 (\boldsymbol{ a} - \boldsymbol{ f})$
 -->
<B><IMG
 WIDTH="73" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1040.png"
 ALT="$ \rho_0 (\boldsymbol{ a} - \boldsymbol{ f})$"></B></TD>
</TR>
<TR><TD ALIGN="CENTER"><B><IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1041.png"
 ALT="$ q_n$"></B></TD>
<TD ALIGN="CENTER"><!-- MATH
 $\rho_0 ( a_n - f_n)$
 -->
<B><IMG
 WIDTH="85" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1042.png"
 ALT="$ \rho_0 ( a_n - f_n)$"></B></TD>
</TR>
<TR><TD ALIGN="CENTER"><!-- MATH
 $\boldsymbol{ \kappa }$
 -->
<B><IMG
 WIDTH="15" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img1025.png"
 ALT="$ \boldsymbol{\kappa}$"></B></TD>
<TD ALIGN="CENTER"><!-- MATH
 $\boldsymbol{ I}$
 -->
<B><IMG
 WIDTH="14" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img1035.png"
 ALT="$ \boldsymbol{ I}$"></B></TD>
</TR>
<TR><TD ALIGN="CENTER"><B><IMG
 WIDTH="22" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1043.png"
 ALT="$ \rho h$"></B></TD>
<TD ALIGN="CENTER"><!-- MATH
 $- \rho_0 \nabla \cdot \boldsymbol{ f}$
 -->
<B><IMG
 WIDTH="68" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1044.png"
 ALT="$ - \rho_0 \nabla \cdot \boldsymbol{ f}$"></B></TD>
</TR>
<TR><TD ALIGN="CENTER"><B><IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img1045.png"
 ALT="$ \rho c$"></B></TD>
<TD ALIGN="CENTER"><!-- MATH
 $\frac{ 1}{c_0^2}$
 -->
<B><IMG
 WIDTH="20" HEIGHT="35" ALIGN="MIDDLE" BORDER="0"
 SRC="img1046.png"
 ALT="$ \frac{ 1}{c_0^2}$"></B></TD>
</TR>
</TABLE>
</DIV>
</DIV>
<BR>

<P>
Notice, however, that the time derivative in the heat equation is first order,
in the gas momentum equation it is second order. This means that the transient
heat transfer capability in CalculiX can NOT be used for the gas
equation. However, the frequency option can be used and the resulting
eigenmodes can be taken for a subsequent modal dynamic or steady state
dynamics analysis. Recall that
the governing equation for solids also has a second order time derivative
([<A
 HREF="node378.html#Dhondt">18</A>]).

<P>
For the driving terms one obtains:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\int_ A \rho_0 ( a_n -f_n) d A - \int_ V \rho_0 \nabla \cdot \boldsymbol{ f}
dV = \int_A \rho_0 a_n dA,
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="341" HEIGHT="53" ALIGN="MIDDLE" BORDER="0"
 SRC="img1047.png"
 ALT="$\displaystyle \int_ A \rho_0 ( a_n -f_n) d A - \int_ V \rho_0 \nabla \cdot \boldsymbol{ f} dV = \int_A \rho_0 a_n dA,$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(256)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
which means that the equivalent of the normal heat flux at the boundary is the
basis density multiplied with the acceleration. Consequently, at the boundary
either the pressure must be known or the acceleration.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html2885"
  HREF="node155.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2881"
  HREF="node145.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2875"
  HREF="node153.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2883"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2886"
  HREF="node155.html">Shallow water motion</A>
<B> Up:</B> <A NAME="tex2html2882"
  HREF="node145.html">Types of analysis</A>
<B> Previous:</B> <A NAME="tex2html2876"
  HREF="node153.html">Heat transfer</A>
 &nbsp; <B>  <A NAME="tex2html2884"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
